<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="eb58b3ec-d9bb-4abe-85af-3e3760e64b6f" name="Default Changelist" comment="Dodana baza danych, działa, ale do refactoringu.">
      <change afterPath="$PROJECT_DIR$/dbconnection.db" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/DBConnection.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/DeleteDB.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/Inserting.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/model/English.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/model/Polish.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/FlashcardsENG.iml" beforeDir="false" afterPath="$PROJECT_DIR$/FlashcardsENG.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/FlashcardsENG/Base.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/FlashcardsENG/Main.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/FlashcardsENG/TestGenerator.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/FlashcardsENG/english" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/FlashcardsENG/polish" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Base.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/Base.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/Main.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/TestGenerator.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/TestGenerator.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/english" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/english" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/polish" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/polish" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/TestGenerator.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-241">
              <caret line="65" column="9" selection-start-line="65" selection-start-column="9" selection-end-line="65" selection-end-column="9" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/Inserting.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="244">
              <caret line="43" column="9" lean-forward="true" selection-start-line="43" selection-start-column="9" selection-end-line="43" selection-end-column="9" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/DeleteDB.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="119">
              <caret line="7" column="34" selection-start-line="7" selection-start-column="34" selection-end-line="7" selection-end-column="34" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/DBConnection.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="102">
              <caret line="61" column="29" selection-start-line="61" selection-start-column="29" selection-end-line="61" selection-end-column="29" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/model/English.java">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <caret column="14" lean-forward="true" selection-start-column="14" selection-end-column="14" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/model/Polish.java">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <caret column="14" lean-forward="true" selection-start-column="14" selection-end-column="14" />
              <folding>
                <element signature="e#488#489#0" expanded="true" />
                <element signature="e#529#530#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/Base.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="102">
              <caret line="6" selection-start-line="6" selection-end-line="6" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/FlashcardsENG.iml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="102">
              <caret line="6" selection-start-line="6" selection-end-line="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/Main.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="153">
              <caret line="9" column="27" lean-forward="true" selection-start-line="9" selection-start-column="27" selection-end-line="9" selection-end-column="27" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>kw</find>
      <find>mielo</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="ROOT_SYNC" value="SYNC" />
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/Choise.java" />
        <option value="$PROJECT_DIR$/baza fiszek" />
        <option value="$PROJECT_DIR$/src/english" />
        <option value="$PROJECT_DIR$/src/dostestow.java" />
        <option value="$PROJECT_DIR$/src/polish" />
        <option value="$PROJECT_DIR$/src/Random.java" />
        <option value="$PROJECT_DIR$/src/Test.java" />
        <option value="$PROJECT_DIR$/src/Base.java" />
        <option value="$PROJECT_DIR$/src/Ordered.java" />
        <option value="$PROJECT_DIR$/src/Main.java" />
        <option value="$PROJECT_DIR$/src/TestGenerator.java" />
        <option value="$PROJECT_DIR$/model/English.java" />
        <option value="$PROJECT_DIR$/FlashcardsENG.iml" />
        <option value="$PROJECT_DIR$/src/English.java" />
        <option value="$PROJECT_DIR$/src/Polish.java" />
        <option value="$PROJECT_DIR$/src/DBConnection.java" />
        <option value="$PROJECT_DIR$/src/Inserting.java" />
        <option value="$PROJECT_DIR$/src/main/DeleteDB.java" />
        <option value="$PROJECT_DIR$/src/main/DBConnection.java" />
        <option value="$PROJECT_DIR$/src/main/Inserting.java" />
        <option value="$PROJECT_DIR$/src/main/Main.java" />
        <option value="$PROJECT_DIR$/src/main/TestGenerator.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="769" />
    <option name="width" value="1151" />
    <option name="height" value="1050" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="flashcardseng" type="b2602c69:ProjectViewProjectNode" />
              <item name="flashcardseng" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="flashcardseng" type="b2602c69:ProjectViewProjectNode" />
              <item name="flashcardseng" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="flashcardseng" type="b2602c69:ProjectViewProjectNode" />
              <item name="flashcardseng" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="flashcardseng" type="b2602c69:ProjectViewProjectNode" />
              <item name="flashcardseng" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1576703812694" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../SQLflashcards/sqlite-jdbc-3.27.2.1.jar!/" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="vcs.Git" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\flashcardseng\src\main" />
      <recent name="C:\flashcardseng\model\src" />
      <recent name="C:\flashcardseng\model" />
      <recent name="C:\flashcardseng\src" />
    </key>
    <key name="CreateClassDialog.RecentsKey">
      <recent name="" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Application.Main (1)">
    <configuration name="Main (1)" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="main.Main" />
      <module name="FlashcardsENG" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="main.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Main" type="Application" factoryName="Application" temporary="true">
      <option name="MAIN_CLASS_NAME" value="Main" />
      <module name="FlashcardsENG" />
      <option name="WORKING_DIRECTORY" value="file://$PROJECT_DIR$" />
      <RunnerSettings RunnerId="Run" />
      <ConfigurationWrapper RunnerId="Run" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Test" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="Test" />
      <module name="FlashcardsENG" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="dostestow" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="dostestow" />
      <module name="FlashcardsENG" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.Main" />
      <item itemvalue="Application.Test" />
      <item itemvalue="Application.dostestow" />
      <item itemvalue="Application.Main (1)" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.Main (1)" />
        <item itemvalue="Application.Main" />
        <item itemvalue="Application.dostestow" />
        <item itemvalue="Application.Test" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="eb58b3ec-d9bb-4abe-85af-3e3760e64b6f" name="Default Changelist" comment="" />
      <created>1557772324452</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1557772324452</updated>
      <workItem from="1559673795580" duration="2229000" />
      <workItem from="1560359291180" duration="2686000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="4915000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1066" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Image Layers" order="0" />
      <window_info id="Designer" order="1" />
      <window_info id="UI Designer" order="2" />
      <window_info id="Capture Tool" order="3" />
      <window_info id="Favorites" order="4" side_tool="true" />
      <window_info content_ui="combo" id="Project" order="5" visible="true" weight="0.12100213" />
      <window_info id="Structure" order="6" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Version Control" order="0" />
      <window_info anchor="bottom" id="Terminal" order="1" weight="0.32869378" />
      <window_info anchor="bottom" id="Event Log" order="2" side_tool="true" weight="0.31905782" />
      <window_info active="true" anchor="bottom" id="Messages" order="3" visible="true" weight="0.33297643" />
      <window_info anchor="bottom" id="Message" order="4" />
      <window_info anchor="bottom" id="Find" order="5" />
      <window_info anchor="bottom" id="Run" order="6" weight="0.2719486" />
      <window_info anchor="bottom" id="Debug" order="7" weight="0.39935064" />
      <window_info anchor="bottom" id="Cvs" order="8" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="9" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="10" />
      <window_info anchor="bottom" id="Docker" order="11" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="12" />
      <window_info anchor="right" id="Palette" order="0" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Theme Preview" order="2" />
      <window_info anchor="right" id="Palette&#9;" order="3" />
      <window_info anchor="right" id="Maven" order="4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="5" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="6" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="7" weight="0.25" />
      <window_info anchor="right" id="Database" order="8" />
    </layout>
    <layout-to-restore>
      <window_info id="Image Layers" order="0" />
      <window_info id="Designer" order="1" />
      <window_info id="UI Designer" order="2" />
      <window_info id="Capture Tool" order="3" />
      <window_info id="Favorites" order="4" side_tool="true" />
      <window_info content_ui="combo" id="Project" order="5" visible="true" weight="0.12100213" />
      <window_info id="Structure" order="6" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Version Control" order="0" />
      <window_info anchor="bottom" id="Terminal" order="1" weight="0.32869378" />
      <window_info anchor="bottom" id="Event Log" order="2" side_tool="true" weight="0.31905782" />
      <window_info anchor="bottom" id="Messages" order="3" weight="0.33333334" />
      <window_info anchor="bottom" id="Message" order="4" />
      <window_info anchor="bottom" id="Find" order="5" />
      <window_info active="true" anchor="bottom" id="Run" order="6" visible="true" weight="0.2719486" />
      <window_info anchor="bottom" id="Debug" order="7" weight="0.39935064" />
      <window_info anchor="bottom" id="Cvs" order="8" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="9" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="10" />
      <window_info anchor="bottom" id="Docker" order="11" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="12" />
      <window_info anchor="right" id="Palette" order="0" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Theme Preview" order="2" />
      <window_info anchor="right" id="Palette&#9;" order="3" />
      <window_info anchor="right" id="Maven" order="4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="5" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="6" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="7" weight="0.25" />
      <window_info anchor="right" id="Database" order="8" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
              <option name="COLUMN_ORDER">
                <list>
                  <option value="0" />
                  <option value="1" />
                  <option value="2" />
                  <option value="3" />
                </list>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="RECENT_FILTERS">
      <map>
        <entry key="Branch">
          <value>
            <list />
          </value>
        </entry>
        <entry key="User">
          <value>
            <list />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="Pierwszy commit juz po wstepnie dzialajacej wersji -&gt; FlashcardsENG 1.0" />
    <MESSAGE value="Dodana baza danych, działa, ale do refactoringu." />
    <option name="LAST_COMMIT_MESSAGE" value="Dodana baza danych, działa, ale do refactoringu." />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/Choise.java" />
    <entry file="file://$PROJECT_DIR$/src/dostestow.java" />
    <entry file="file://$PROJECT_DIR$/src/Base.class" />
    <entry file="file://$PROJECT_DIR$/src/Main.class" />
    <entry file="file://$PROJECT_DIR$/src/Ordered.java" />
    <entry file="file://$PROJECT_DIR$/src/Test.java" />
    <entry file="file://$PROJECT_DIR$/src/Random.java" />
    <entry file="file://$PROJECT_DIR$/src/DB.java" />
    <entry file="file://$PROJECT_DIR$/.idea/workspace.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1243">
          <caret line="364" column="94" selection-start-line="364" selection-start-column="94" selection-end-line="364" selection-end-column="94" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/baza fiszek">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1581">
          <caret line="93" column="16" lean-forward="true" selection-start-line="93" selection-start-column="16" selection-end-line="93" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/english">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="646">
          <caret line="38" column="5" lean-forward="true" selection-start-line="38" selection-start-column="5" selection-end-line="38" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/polish">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1521">
          <caret column="5" selection-start-column="5" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/../SQLflashcards/sqlite-jdbc-3.27.2.1.jar!/org/sqlite/core/CorePreparedStatement.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="80" selection-start-line="80" selection-end-line="80" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/../SQLflashcards/sqlite-jdbc-3.27.2.1.jar!/org/sqlite/core/DB.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="218">
          <caret line="399" selection-start-line="399" selection-end-line="399" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/FlashcardsENG.iml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="6" selection-start-line="6" selection-end-line="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/model/English.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="14" lean-forward="true" selection-start-column="14" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/Main.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="9" column="27" lean-forward="true" selection-start-line="9" selection-start-column="27" selection-end-line="9" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/Inserting.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="244">
          <caret line="43" column="9" lean-forward="true" selection-start-line="43" selection-start-column="9" selection-end-line="43" selection-end-column="9" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/DeleteDB.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" column="34" selection-start-line="7" selection-start-column="34" selection-end-line="7" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/DBConnection.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="61" column="29" selection-start-line="61" selection-start-column="29" selection-end-line="61" selection-end-column="29" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/out/production/FlashcardsENG/main/Main.class">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#0#401#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/model/Polish.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="14" lean-forward="true" selection-start-column="14" selection-end-column="14" />
          <folding>
            <element signature="e#488#489#0" expanded="true" />
            <element signature="e#529#530#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/Base.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="6" selection-start-line="6" selection-end-line="6" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/TestGenerator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-241">
          <caret line="65" column="9" selection-start-line="65" selection-start-column="9" selection-end-line="65" selection-end-column="9" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>FlashcardsENG</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>sqlite-jdbc-3.27.2.1</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>